%% Počáteční nastavení
pp=1; %Počet vzorků k porovnání
if pp>6
   error('Max. 6 vzorku')
end
NazevVzorku=cell(pp,1);
Hodnoty=cell(pp,1);
%% Výpočet kmitočtů vyšších harmonických složek vzorku
for p = 1 : pp
[horna,cesta] = uigetfile('*.wav');
[sig,fvz]=audioread(fullfile(cesta,horna));
sig=sig(:,1);
[peaky,pozice]=FFThodnoty(sig,fvz);
peaky=peaky(1:9); %Výběr fundamentu a 8 vyšších harm. složek
pozice=pozice(1:9);
peaky=peaky-peaky(1); %Normalizace úrovní vzhledem k fundamentu
Hodnoty{p,1}=peaky;
NazevVzorku{p,1}=horna;
end
%% Export dat do tabulky
%NazevVzorku=NazevVzorku';
%Hodnoty = cellfun(@num2cell,Hodnoty,'uni',0);
%Tabulka={'A2','B2','C2','D2','E2','F2'};
%xlswrite('Porovnání prvních 9 harmonických složek vzorků',NazevVzorku,'section I');
%for i = 1 : pp
%    xlswrite('Porovnání prvních 9 harmonických složek vzorků',Hodnoty{i,1},'section I',Tabulka{1,i});
%end